Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 3)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 33, 34, 35 ... 38, 39, 40  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
d-fens
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2004
Posts: 92

PostPosted: Tue May 12, 2009 10:29 pm    Post subject: Reply with quote

nothing wrong with that, i just noticed when browsing the accepted projects for kde this year (http://socghop.appspot.com/org/home/google/gsoc2009/kde quite interesting)
the "plasma mouse interaction project" as descriped
http://socghop.appspot.com/student_project/show/google/gsoc2009/kde/t124022559027, no idea about the internals and the scope of the framework planned. hopefully it adds support for mouse events with modifiers keys so kde gets some decent shortcut handling especially for kwin the way it was possible with compiz.

---
edit:
oh i just noticed that "WYSIWYG editors support in KHTML" might finally bring up a solution to one of the top 10 requested features on bugzilla, "Adding the Ability To Reply To HTML Email With Same HTML Format As It Was Received" (bug 86423), which is totally overdue in a business environment.
Back to top
View user's profile Send private message
EzInKy
Veteran
Veteran


Joined: 11 Oct 2002
Posts: 1734
Location: Kentucky

PostPosted: Tue May 12, 2009 10:50 pm    Post subject: Reply with quote

Nice. But I think this one will be my personal favorite.

Quote:

The Idea

That nice snippets of C code should be moved out of junkcode directories and exposed to a wider world, where they can become something useful.


A searchable fidonet B-)
_________________
Time is what keeps everything from happening all at once.
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Tue May 12, 2009 11:57 pm    Post subject: Reply with quote

About those KDE4Workspace issues - stay away from overlay eclasses for now - they are known to be recently broken - actually in general you should disable eclass overriding behaviour (man portage - layout.conf and repos.conf related) - it's usually meant only for developers.
_________________
Maciek
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Wed May 13, 2009 7:09 am    Post subject: Reply with quote

reavertm wrote:
About those KDE4Workspace issues - stay away from overlay eclasses for now - they are known to be recently broken - actually in general you should disable eclass overriding behaviour (man portage - layout.conf and repos.conf related) - it's usually meant only for developers.


With this still failed:
kde-base/plasma-apps
kde-base/kdeartwork-kscreensaver
kde-base/kdeplasma-addons
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Wed May 13, 2009 10:41 am    Post subject: Reply with quote

I'm considering switching my productive system from 4.2.3 to 4.2.85/4.2.86 as I did the same when 4.1.85 was around. Would you consider it safe to use by now?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3253
Location: Gainesville, Florida

PostPosted: Wed May 13, 2009 6:25 pm    Post subject: Reply with quote

@reavertm,
Is this plasma-workspace failure related to your post above regarding
Quote:
KDE4Workspace issues - stay away from overlay eclasses for now - they are known to be recently broken

Code:
[ 85%] Generating queryserviceinterface.cpp, queryserviceinterface.h
[ 85%] Generating queryinterface.moc
[ 85%] Generating queryserviceinterface.moc
Scanning dependencies of target nepomukqueryclient
Linking CXX shared library ../../../lib/libkdeinit4_plasma-desktop.so
/var/tmp/portage/kde-base/plasma-workspace-9999-r1/work/plasma-workspace-9999/plasma/wallpapers/image/image.cpp: In member function 'virtual void Image::init(const KConfigGroup&)':
/var/tmp/portage/kde-base/plasma-workspace-9999-r1/work/plasma-workspace-9999/plasma/wallpapers/image/image.cpp:79: error: 'setUsingRenderingCache' was not declared in this scope
make[2]: *** [plasma/wallpapers/image/CMakeFiles/plasma_wallpaper_image.dir/image.o] Error 1
make[1]: *** [plasma/wallpapers/image/CMakeFiles/plasma_wallpaper_image.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 85%] [ 85%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryserviceclient.o
Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/nepomukqueryclient_automoc.o
[ 86%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryserviceinterface.o
[ 86%] Built target kdeinit_plasma-desktop
[ 86%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryinterface.o
Linking CXX shared library ../../lib/libnepomukqueryclient.so
[ 86%] Built target nepomukqueryclient
make: *** [all] Error 2
 *
 * ERROR: kde-base/plasma-workspace-9999-r1 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 4079:  Called kde4-meta_src_compile
 *             environment, line 3031:  Called kde4-base_src_compile
 *             environment, line 2751:  Called cmake-utils_src_compile
 *             environment, line 1085:  Called cmake-utils_src_make
 *             environment, line 1164:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 *  The die message:
 *   Make failed!

I did have a file collision problem with nepomuk, but fixed that with COLLISION_IGNORE. Then, plasma-workspace still failed with a slightly different error.
Code:
[ 83%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/__/common/openwidgetassistant.o
/var/tmp/portage/kde-base/plasma-workspace-9999-r1/work/plasma-workspace-9999/plasma/wallpapers/image/image.cpp: In member function 'virtual void Image::init(const KConfigGroup&)':
/var/tmp/portage/kde-base/plasma-workspace-9999-r1/work/plasma-workspace-9999/plasma/wallpapers/image/image.cpp:79: error: 'setUsingRenderingCache' was not declared in this scope
make[2]: *** [plasma/wallpapers/image/CMakeFiles/plasma_wallpaper_image.dir/image.o] Error 1
make[2]: *** Waiting for unfinished jobs....
[ 84%] Generating queryinterface.cpp, queryinterface.h
[ 84%] Generating queryserviceinterface.cpp, queryserviceinterface.h
[ 84%] Generating queryinterface.moc
[ 84%] make[1]: *** [plasma/wallpapers/image/CMakeFiles/plasma_wallpaper_image.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 84%] Generating queryserviceinterface.moc
Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/__/common/plasmaappletitemmodel.o
Scanning dependencies of target nepomukqueryclient
[ 84%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/nepomukqueryclient_automoc.o
[ 84%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryserviceclient.o
[ 85%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryserviceinterface.o
[ 85%] Building CXX object libs/nepomukqueryclient/CMakeFiles/nepomukqueryclient.dir/queryinterface.o
[ 85%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/__/common/wallpaperpreview.o
[ 86%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/plasma-shell-desktop.o
Linking CXX shared library ../../lib/libnepomukqueryclient.so
[ 86%] Built target nepomukqueryclient
[ 86%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/appadaptor.o
[ 86%] Building CXX object plasma/shells/desktop/CMakeFiles/kdeinit_plasma-desktop.dir/ksmserver_interface.o
Linking CXX shared library ../../../lib/libkdeinit4_plasma-desktop.so
[ 86%] Built target kdeinit_plasma-desktop
make: *** [all] Error 2
ERROR: kde-base/plasma-workspace-9999-r1 failed.
 *


EDIT: Never mind- an update of qt-all-live-kde from qting-edge fixed everything up. :D

Question: Are we going to need to rebuild/update qt-all-live-kde first every time we update kde-svn from now on, or at least as long as we are running with qt-live?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental


Last edited by wrc1944 on Wed May 13, 2009 10:48 pm; edited 1 time in total
Back to top
View user's profile Send private message
Dancingfire
n00b
n00b


Joined: 01 Jan 2007
Posts: 37

PostPosted: Wed May 13, 2009 8:45 pm    Post subject: Reply with quote

bers wrote:
reavertm wrote:
About those KDE4Workspace issues - stay away from overlay eclasses for now - they are known to be recently broken - actually in general you should disable eclass overriding behaviour (man portage - layout.conf and repos.conf related) - it's usually meant only for developers.


With this still failed:
kde-base/plasma-apps
kde-base/kdeartwork-kscreensaver
kde-base/kdeplasma-addons


same for me with this error or similar http://pastebin.com/f62f6bd9c for every package.
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Thu May 14, 2009 5:31 am    Post subject: Reply with quote

Dancingfire wrote:
bers wrote:
reavertm wrote:
About those KDE4Workspace issues - stay away from overlay eclasses for now - they are known to be recently broken - actually in general you should disable eclass overriding behaviour (man portage - layout.conf and repos.conf related) - it's usually meant only for developers.


With this still failed:
kde-base/plasma-apps
kde-base/kdeartwork-kscreensaver
kde-base/kdeplasma-addons


same for me with this error or similar http://pastebin.com/f62f6bd9c for every package.


Yes, i am recompile all kde-workspace (for you: kwin, nepomuk, kscreensaver, libplasmaclock, kephal) and all ok ;)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Thu May 14, 2009 9:14 am    Post subject: Reply with quote

I successfully emerged 4.1.85, seems stable so far and I really like its subtle improvements.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mikedee
Apprentice
Apprentice


Joined: 05 Jul 2006
Posts: 158

PostPosted: Thu May 14, 2009 6:14 pm    Post subject: Reply with quote

I get this error with printer-applet. Cheers ;)

Code:
>>> Completed installing printer-applet-9999 into /var/tmp/portage/kde-base/printer-applet-9999/image/                                                             

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-10705.log"                                   

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status 
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path               
FORMAT: C - Command Line                 

F: fchmodat
S: deny   
P: /usr/kde/live/share/apps/printer-applet/printer-applet.py
A: /usr/kde/live/share/apps/printer-applet/printer-applet.py
R: /usr/kde/live/share/apps/printer-applet/printer-applet.py
C: chmod a+x /usr/kde/live/share/apps/printer-applet/printer-applet.py
--------------------------------------------------------------------------------
Back to top
View user's profile Send private message
johannis
n00b
n00b


Joined: 03 Jan 2003
Posts: 28
Location: Heerenveen, The Netherlands

PostPosted: Thu May 14, 2009 7:47 pm    Post subject: pykde4-4.2.85 missing kdebindings-4.2.85 Reply with quote

Hello,

I'm not able to compile pykde4:
Quote:
File 'kdebindings-4.2.85.tar.bz2' does not exist.

!!! Couldn't download 'kdebindings-4.2.85.tar.bz2'. Aborting.
* Fetch failed for 'kde-base/pykde4-4.2.85', Log file:
* '/var/tmp/portage/kde-base/pykde4-4.2.85/temp/build.log'

>>> Failed to emerge kde-base/pykde4-4.2.85, Log file:

>>> '/var/tmp/portage/kde-base/pykde4-4.2.85/temp/build.log'


It looks like that kdebindings-4.2.85 is not (or no longer) available.

Johannis.
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Fri May 15, 2009 8:14 am    Post subject: Re: pykde4-4.2.85 missing kdebindings-4.2.85 Reply with quote

johannis wrote:
Hello,

I'm not able to compile pykde4:
Quote:
File 'kdebindings-4.2.85.tar.bz2' does not exist.

!!! Couldn't download 'kdebindings-4.2.85.tar.bz2'. Aborting.
* Fetch failed for 'kde-base/pykde4-4.2.85', Log file:
* '/var/tmp/portage/kde-base/pykde4-4.2.85/temp/build.log'

>>> Failed to emerge kde-base/pykde4-4.2.85, Log file:

>>> '/var/tmp/portage/kde-base/pykde4-4.2.85/temp/build.log'


It looks like that kdebindings-4.2.85 is not (or no longer) available.

Johannis.



same here
google did'nt help, it seems that kdebindings-4.2.85.tar.bz2 was removed from many mirrors
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Fri May 15, 2009 1:07 pm    Post subject: Reply with quote

Currently reinstalling my system as pure 64 bit but I'm not able to get pykde4-9999 to build :(

Code:
sipkdeuipart7.cpp: In function 'PyObject* meth_KToolBarPopupAction_popupMenu(PyObject*, PyObject*)':
sipkdeuipart7.cpp:28519: warning: 'KMenu* KToolBarPopupAction::popupMenu() const' is deprecated (declared at /usr/kde/live/include/ktoolbarpopupaction.h:79)
/usr/share/sip/QtCore/qlist.sip: In function 'int convertTo_QList_0500Qt_Key(PyObject*, void**, int*, PyObject*)':
/usr/share/sip/QtCore/qlist.sip:83: error: 'sipClass_Qt_Key' was not declared in this scope
/usr/share/sip/QtCore/qlist.sip:95: error: 'sipClass_Qt_Key' was not declared in this scope
/usr/share/sip/QtCore/qlist.sip: In function 'PyObject* convertFrom_QList_0500Qt_Key(void*, PyObject*)':
/usr/share/sip/QtCore/qlist.sip:59: error: 'sipClass_Qt_Key' was not declared in this scope
sipkdeuipart7.cpp: In function 'PyObject* meth_KStandardAction_stdName(PyObject*, PyObject*)':
sipkdeuipart7.cpp:39146: warning: 'const char* KStandardAction::stdName(KStandardAction::StandardAction)' is deprecated (declared at /usr/kde/live/include/kstandardaction.h:179)
sipkdeuipart7.cpp:39146: warning: 'const char* KStandardAction::stdName(KStandardAction::StandardAction)' is deprecated (declared at /usr/kde/live/include/kstandardaction.h:179)
sipkdeuipart7.cpp: In function 'PyObject* meth_KActionMenu_remove(PyObject*, PyObject*)':
sipkdeuipart7.cpp:48896: warning: 'void KActionMenu::remove(KAction*)' is deprecated (declared at /usr/kde/live/include/kactionmenu.h:62)
sipkdeuipart7.cpp: In function 'PyObject* meth_KActionMenu_popupMenu(PyObject*, PyObject*)':
sipkdeuipart7.cpp:49061: warning: 'KMenu* KActionMenu::popupMenu()' is deprecated (declared at /usr/kde/live/include/kactionmenu.h:75)
sipkdeuipart7.cpp: In function 'PyObject* meth_KAction_globalShortcutAllowed(PyObject*, PyObject*)':
sipkdeuipart7.cpp:54082: warning: 'bool KAction::globalShortcutAllowed() const' is deprecated (declared at /usr/kde/live/include/kaction.h:423)
sipkdeuipart7.cpp: In function 'PyObject* meth_KAction_setGlobalShortcutAllowed(PyObject*, PyObject*)':
sipkdeuipart7.cpp:54109: warning: 'void KAction::setGlobalShortcutAllowed(bool, KAction::GlobalShortcutLoading)' is deprecated (declared at /usr/kde/live/include/kaction.h:433)
make[2]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/sip/kdeui/sipkdeuipart7.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2
make: *** [all] Error 2
Back to top
View user's profile Send private message
d-fens
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jan 2004
Posts: 92

PostPosted: Fri May 15, 2009 3:29 pm    Post subject: libary path issue Reply with quote

hi,

i digged a bit deeper about the plugin/module not found issue on my +kdeprefix live install.

digikam doesn't display images, errors out when searching the kioslaves with:
Code:

digikam(26720): couldn't create slave: "Aufruf des Ein-/Ausgabemoduls nicht möglich.                                                   
klauncher meldet: Unbekanntes Protokoll „digikamdates“.
digikam(26720)/digikam (core) Digikam::AlbumLister::slotResult: Failed to list url:  "Prozess kann nicht gestartet werden: Aufruf des Ein-/Ausgabemoduls nicht möglich.
klauncher meldet: Unbekanntes Protokoll „digikamalbums“.


which is due to a wrong install as said in https://bugs.kde.org/show_bug.cgi?id=178583

ktorrent also has no modules, same thing - libs not found/wrong location, so here are my env settings:
Code:

cat /etc/env.d/43kdepaths-live

PATH="/usr/kde/live/bin"
ROOTPATH="/usr/kde/live/sbin:/usr/kde/live/bin"
LDPATH="/usr/kde/live/lib:/usr/kde/live/lib64:/usr/kde/live/lib32"
MANPATH="/usr/kde/live/share/man"
CONFIG_PROTECT="/usr/kde/live/share/config /usr/kde/live/env /usr/kde/live/shutdown /usr/share/config"
#KDE_IS_PRELINKED=1
PKG_CONFIG_PATH="/usr/kde/live/lib64/pkgconfig"
XDG_DATA_DIRS="/usr/kde/live/share"
KDEDIRS="/usr"


kde4-config --path lib says
Code:
/home/user/.kdelive/lib64/:/home/user/kde/lib64/:/usr/kde/live/lib64/


i have most of my kde libs in /usr/kde/live/lib64 and the digikam/kipiplugins/ktorrentplugins in /usr/lib/kde4/

whats the correct location for thoses libs and how can i fix the sitation for digikam/ktorrent/kdevelop/k3b which put the libs into /usr/lib/kde4 or add it the path :?:
Back to top
View user's profile Send private message
hunky
l33t
l33t


Joined: 19 Nov 2003
Posts: 826
Location: Alaska

PostPosted: Fri May 15, 2009 5:07 pm    Post subject: Reply with quote

On kde-bindings, this is from here:


Quote:
A quick question

Am I correct in noticing that this beta release doesn't ship kdebindings? (Since I have trouble getting PyKDE4 to compile myself...)



Wed, 05/13/2009 - 12:26 — sebas
Score: 3
You're correct. We (that's

You're correct. We (that's Dirk) had trouble building the bindings module and decided to skip it in this beta. It'll be included in 4.3 of course.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri May 15, 2009 5:53 pm    Post subject: Reply with quote

hunky wrote:
On kde-bindings, this is from here:


Quote:
A quick question

Am I correct in noticing that this beta release doesn't ship kdebindings? (Since I have trouble getting PyKDE4 to compile myself...)



Wed, 05/13/2009 - 12:26 — sebas
Score: 3
You're correct. We (that's

You're correct. We (that's Dirk) had trouble building the bindings module and decided to skip it in this beta. It'll be included in 4.3 of course.


kdebindings aka pykde4 has been failing for me for some time now

you can follow its build failures or success on: http://developer.kde.org/~dirk/dashboard/

anyone with a successful built pykde4 from latest svn ?

thanks
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
zaratustra_20
n00b
n00b


Joined: 26 Sep 2006
Posts: 72
Location: Croatia,Europe

PostPosted: Fri May 15, 2009 8:23 pm    Post subject: Reply with quote

hi

can someone tell me why is there no meta packages for 4.2.85?

I'd like to upgrade from 4.2.3 and what I do is copy unmask and keywords file and change 4.2.3 into 4.2.85 but just kdelibs and few others packages are being listed when I run emerge -auvDN world
Back to top
View user's profile Send private message
Dancingfire
n00b
n00b


Joined: 01 Jan 2007
Posts: 37

PostPosted: Sat May 16, 2009 5:30 am    Post subject: Reply with quote

zaratustra_20 wrote:
hi

can someone tell me why is there no meta packages for 4.2.85?

I'd like to upgrade from 4.2.3 and what I do is copy unmask and keywords file and change 4.2.3 into 4.2.85 but just kdelibs and few others packages are being listed when I run emerge -auvDN world


metapackages will be only after final release, so u really want to use sets in this case.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Sat May 16, 2009 12:34 pm    Post subject: Reply with quote

zaratustra_20 wrote:
can someone tell me why is there no meta packages for 4.2.85?

I'd like to upgrade from 4.2.3 and what I do is copy unmask and keywords file and change 4.2.3 into 4.2.85 but just kdelibs and few others packages are being listed when I run emerge -auvDN world

That's why I'm using my own kde4 set without any meta-package crap.

Btw, 4.2.85 is rockstable so far.

@zaratustra_20: Quick fix:
Code:
equery l -i kde-base/*-4.2* | grep kde-base/ | grep -v meta | sed 's\-4.2.*\:4.3\' | sed 's\=\\' > /etc/portage/sets/mykde-4.3
ln -s /usr/local/portage/layman/kde-testing/Documentation/package.keywords/kde-4.3.keywords /etc/portage/keywords/kde43
ln -s /usr/local/portage/layman/kde-testing/Documentation/package.unmask/kde-4.3 /etc/portage/package.unmask/kde43
equery l -i kde-base/* | grep meta | xargs emerge -Ca
emerge -va @mykde-4.3

Prerequisites:
- portage-2.2*
- gentoolkit-0.3.0*

Also, this won't work immediately as some packages changed names from 4.2 to 4.3 or were removed.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
zaratustra_20
n00b
n00b


Joined: 26 Sep 2006
Posts: 72
Location: Croatia,Europe

PostPosted: Sat May 16, 2009 2:25 pm    Post subject: Reply with quote

@genstorm: whoa, that's great,thnq :)

btw, I also have troubles with fetching kdebindings-4.2.85 (pykde4), or installing it (make install fails) when emerging from :live branch
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sat May 16, 2009 2:36 pm    Post subject: Reply with quote

it is possible to use an older version of pykde instead of 4.2.85?
Back to top
View user's profile Send private message
mziab
l33t
l33t


Joined: 01 Oct 2004
Posts: 644

PostPosted: Sat May 16, 2009 6:49 pm    Post subject: Reply with quote

I see that solidautoeject is missing in the ebuilds.

Here's a working ebuild:
Code:
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

KMNAME="kdebase-runtime"
inherit kde4-meta

DESCRIPTION="KDE4: Solidautoeject"
KEYWORDS="~amd64 ~x86"
IUSE="debug"

DEPEND="
   >=kde-base/solid-${PV}:${SLOT}[kdeprefix=]
"
RDEPEND="${DEPEND}"


At long last, one of my pet bugs has been taken over of ;)
_________________
Gentoo Linux 13.0 | 3.19 | glibc 2.19 | gcc 4.9.2

mteam | mziab's blog | roslin
Back to top
View user's profile Send private message
Krog
Guru
Guru


Joined: 26 Jun 2007
Posts: 330
Location: Roma, Italy

PostPosted: Sun May 17, 2009 11:35 am    Post subject: Reply with quote

Failed to emerge kde-base/mplayerthumbs-4.2.85


Code:
[ 94%] Building CXX object mplayerthumbs/src/CMakeFiles/videopreview.dir/phononbackend.o                                                                   
[100%] Building CXX object mplayerthumbs/src/CMakeFiles/videopreview.dir/mplayerthumbs.o                                                                   
/var/tmp/portage/kde-base/mplayerthumbs-4.2.85/work/mplayerthumbs-4.2.85/mplayerthumbs/src/phononbackend.cpp: In member function ‘virtual Thumbnail* PhononBackend::preview(FrameSelector*)’:                                                                                                                         
/var/tmp/portage/kde-base/mplayerthumbs-4.2.85/work/mplayerthumbs-4.2.85/mplayerthumbs/src/phononbackend.cpp:54: error: ‘class Phonon::VideoWidget’ has no member named ‘snapshot’                                                                                                                                   
make[2]: *** [mplayerthumbs/src/CMakeFiles/videopreview.dir/phononbackend.o] Error 1                                                                       
make[2]: *** Waiting for unfinished jobs....                                                                                                               
make[1]: *** [mplayerthumbs/src/CMakeFiles/videopreview.dir/all] Error 2                                                                                   
make: *** [all] Error 2                                                                                                                                   
 *                                                                                                                                                         
 * ERROR: kde-base/mplayerthumbs-4.2.85 failed.                                                                                                           
 * Call stack:                                                                                                                                             
 *               ebuild.sh, line   49:  Called src_compile                                                                                                 
 *             environment, line 3849:  Called kde4-meta_src_compile                                                                                       
 *             environment, line 2961:  Called kde4-base_src_compile                                                                                       
 *             environment, line 2678:  Called cmake-utils_src_compile                                                                                     
 *             environment, line 1012:  Called cmake-utils_src_make                                                                                       
 *             environment, line 1091:  Called die                                                                                                         
 * The specific snippet of code:                                                                                                                           
 *           emake "$@" || die "Make failed!";                                                                                                             
 *  The die message:                                                                                                                                       
 *   Make failed!                                                                                                                                         
 *                                                                                                                                                         
 * If you need support, post the topmost build error, and the call stack if relevant.                                                                     
 * A complete build log is located at '/var/tmp/portage/kde-base/mplayerthumbs-4.2.85/temp/build.log'.                                                     
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/mplayerthumbs-4.2.85/temp/environment'.                                           
 * This ebuild used the following eclasses from overlays:                                                                                                 
 *   /usr/portage/local/layman/kde-testing/eclass/kde4-meta.eclass                                                                                         
 *   /usr/portage/local/layman/kde-testing/eclass/kde4-base.eclass                                                                                         
 *   /usr/portage/local/layman/kde-testing/eclass/kde4-functions.eclass                                                                                   
 * This ebuild is from a repository named 'kde'                                                                                                           
 *

>>> Failed to emerge kde-base/mplayerthumbs-4.2.85
Back to top
View user's profile Send private message
Tom_
Guru
Guru


Joined: 20 May 2004
Posts: 384
Location: France

PostPosted: Sun May 17, 2009 1:18 pm    Post subject: Reply with quote

According to this bug report (https://bugs.gentoo.org/show_bug.cgi?id=261643), the empty collection bug is considered as solved, but for me it still doesn't work with Amarok-9999 and Mysql-5.0.76-r1 compiled without fpic.

Am i the only one facing this issue ?
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Mon May 18, 2009 7:00 am    Post subject: Reply with quote

Hi,

I have a problem with Akonadi and kdepimlibs:

KdePimLibs ask in the configure for Akonadi.

Akonadi have a dependence of KdePimLibs and libkdepim so I cannot install either of them. What can I do?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 33, 34, 35 ... 38, 39, 40  Next
Page 34 of 40

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum